Subject: [bug#57345] [PATCH] Add gnupg to propagated-inputs of trezor-agent

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 01 Sep 2022 10:51:27 +0200

Hi Marek,

thanks for your patch.  This looks like a good fix of the problem.

Propagation is generally used sparingly, when there is no other option.
We try to avoid it when possible, because it can lead to unexpected
conflicts, e.g. when a user has a particular version of gnupg installed
in their profile and then installs trezor-agent with a more recent
version of Guix it would abort with a conflict error as it cannot
install two variants of gnupg into the same Guix profile.

I wonder if we can avoid propagation here.  We could, for example, look
up gnupg in PATH (so that a user’s installation of gnupg is preferred)
and fall back to an explicit gnupg from the inputs (not
propagated-inputs).  This would require minor patching of trezor-agent.

What do you think?

-- 
Ricardo